This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 862502 - Review Request: php-sabredav-Sabre - base for Sabre_DAV packages
Review Request: php-sabredav-Sabre - base for Sabre_DAV packages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gregor Tätzner
Fedora Extras Quality Assurance
:
Depends On: 859731
Blocks: 862501
  Show dependency treegraph
 
Reported: 2012-10-03 01:04 EDT by Joseph Marrero
Modified: 2012-11-28 12:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-20 23:03:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
gregor: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
review Sabre Base (4.96 KB, text/plain)
2012-10-14 11:00 EDT, Gregor Tätzner
no flags Details

  None (edit)
Description Joseph Marrero 2012-10-03 01:04:37 EDT
Spec URL: http://marreroj.com/fedora/review-packages/php-sabredav-Sabre.spec
SRPM URL: http://marreroj.com/fedora/review-packages/php-sabredav-Sabre-1.0.0-2.fc18.src.rpm
Description:SabreDAV allows you to easily add WebDAV support to a PHP application. The base package provides some functionality used by all packages. Currently this is only an autoloader.
Fedora Account System Username: jmarrero
Comment 1 Gregor Tätzner 2012-10-03 03:20:17 EDT
MUST:
php-sabredav-Sabre.noarch: E: description-line-too-long C SabreDAV allows you to easily add WebDAV support to a PHP application. The base package provides some functionality used by all packages. Currently

SHOULD:
use %global instead of define

drop "rm -rf $RPM_BUILD_ROOT docdir"

you are switching 3 times cd %{pear_name}-%{version}, slightly confusing


this comment is also valid for 862501 and probably all other sabredav packages, you are going to submit
Comment 3 Gregor Tätzner 2012-10-04 03:00:50 EDT
almost there...

SHOULD:
since we are not working with epel5 you can just use
BuildRequires: php-pear(PEAR)

MUST:
according to https://fedoraproject.org/wiki/Packaging:PHP#Extensions_Requires you must require all php extensions.

use 'phpci print --recursive --report extension /usr/share/pear/<sabrepackage>' to list them.

now add the requirements in form of: php-<extension>

<extension> must be: lowercase and not in standard or Core


the installation of the doc files is screwed up: documentation must be located in %{pear_docdir}/%{pear_name}-%{version} or %{pear_docdir}/%{pear_name}


still applies to all sabredav packages
Comment 4 Gregor Tätzner 2012-10-04 03:09:32 EDT
(In reply to comment #3)
> the installation of the doc files is screwed up: documentation must be
> located in %{pear_docdir}/%{pear_name}-%{version} or
> %{pear_docdir}/%{pear_name}

i.e. like that: http://people.redhat.com/~siwinski/rpmbuild/SPECS/php-symfony2-Translation.spec
Comment 6 Gregor Tätzner 2012-10-14 05:35:39 EDT
looks good, just one rpmlint issue left:

php-sabredav-Sabre.noarch: E: description-line-too-long C The Base SabreDAV package provides some functionality used by all packages. Currently this is only an autoloader.

you must add a line break
Comment 8 Gregor Tätzner 2012-10-14 11:00:17 EDT
Created attachment 627000 [details]
review Sabre Base

== APPROVED ==

Minor:
just make sure to correct the summary before importing the package:

php-sabredav-Sabre.noarch: W: summary-not-capitalized C base for Sabre_DAV packages
Comment 10 Joseph Marrero 2012-11-03 00:31:46 EDT
New Package SCM Request
=======================
Package Name: php-sabredav-Sabre
Short Description: base for Sabre_DAV packages
Owners: jmarrero
Branches: f17 f18 el6
InitialCC:
Comment 11 Jon Ciesla 2012-11-03 12:00:14 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2012-11-11 06:00:02 EST
php-sabredav-Sabre_CardDAV-1.6.5-2.fc18,php-sabredav-Sabre_DAVACL-1.6.0-3.fc18,php-sabredav-Sabre_VObject-1.3.5-2.fc18,php-sabredav-Sabre_HTTP-1.6.4-3.fc18,php-sabredav-Sabre_DAV-1.6.5-1.fc18,php-sabredav-Sabre-1.0.0-6.fc18,php-channel-sabredav-1.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-sabredav-Sabre_CardDAV-1.6.5-2.fc18,php-sabredav-Sabre_DAVACL-1.6.0-3.fc18,php-sabredav-Sabre_VObject-1.3.5-2.fc18,php-sabredav-Sabre_HTTP-1.6.4-3.fc18,php-sabredav-Sabre_DAV-1.6.5-1.fc18,php-sabredav-Sabre-1.0.0-6.fc18,php-channel-sabredav-1.3-3.fc18
Comment 13 Fedora Update System 2012-11-11 06:04:15 EST
php-channel-sabredav-1.3-3.fc17,php-sabredav-Sabre-1.0.0-6.fc17,php-sabredav-Sabre_DAV-1.6.5-1.fc17,php-sabredav-Sabre_HTTP-1.6.4-3.fc17,php-sabredav-Sabre_VObject-1.3.5-2.fc17,php-sabredav-Sabre_DAVACL-1.6.0-3.fc17,php-sabredav-Sabre_CalDAV-1.6.4-3.fc17,php-sabredav-Sabre_CardDAV-1.6.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-channel-sabredav-1.3-3.fc17,php-sabredav-Sabre-1.0.0-6.fc17,php-sabredav-Sabre_DAV-1.6.5-1.fc17,php-sabredav-Sabre_HTTP-1.6.4-3.fc17,php-sabredav-Sabre_VObject-1.3.5-2.fc17,php-sabredav-Sabre_DAVACL-1.6.0-3.fc17,php-sabredav-Sabre_CalDAV-1.6.4-3.fc17,php-sabredav-Sabre_CardDAV-1.6.5-2.fc17
Comment 14 Fedora Update System 2012-11-11 14:52:47 EST
php-sabredav-Sabre_CardDAV-1.6.5-2.fc18, php-sabredav-Sabre_DAVACL-1.6.0-3.fc18, php-sabredav-Sabre_VObject-1.3.5-2.fc18, php-sabredav-Sabre_HTTP-1.6.4-3.fc18, php-sabredav-Sabre_DAV-1.6.5-1.fc18, php-sabredav-Sabre-1.0.0-6.fc18, php-channel-sabredav-1.3-3.fc18, php-sabredav-Sabre_CalDAV-1.6.4-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 15 Fedora Update System 2012-11-11 16:10:41 EST
php-channel-sabredav-1.3-3.el6,php-sabredav-Sabre-1.0.0-6.el6,php-sabredav-Sabre_DAVACL-1.6.0-3.el6,php-sabredav-Sabre_DAV-1.6.5-1.el6,php-sabredav-Sabre_HTTP-1.6.4-3.el6,php-sabredav-Sabre_VObject-1.3.5-2.el6,php-sabredav-Sabre_CardDAV-1.6.5-2.el6,php-sabredav-Sabre_CalDAV-1.6.4-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-channel-sabredav-1.3-3.el6,php-sabredav-Sabre-1.0.0-6.el6,php-sabredav-Sabre_DAVACL-1.6.0-3.el6,php-sabredav-Sabre_DAV-1.6.5-1.el6,php-sabredav-Sabre_HTTP-1.6.4-3.el6,php-sabredav-Sabre_VObject-1.3.5-2.el6,php-sabredav-Sabre_CardDAV-1.6.5-2.el6,php-sabredav-Sabre_CalDAV-1.6.4-3.el6
Comment 16 Fedora Update System 2012-11-20 23:03:27 EST
php-channel-sabredav-1.3-3.fc17, php-sabredav-Sabre-1.0.0-6.fc17, php-sabredav-Sabre_DAV-1.6.5-1.fc17, php-sabredav-Sabre_HTTP-1.6.4-3.fc17, php-sabredav-Sabre_VObject-1.3.5-2.fc17, php-sabredav-Sabre_DAVACL-1.6.0-3.fc17, php-sabredav-Sabre_CalDAV-1.6.4-3.fc17, php-sabredav-Sabre_CardDAV-1.6.5-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 17 Fedora Update System 2012-11-23 02:16:17 EST
php-sabredav-Sabre_CardDAV-1.6.5-2.fc18, php-sabredav-Sabre_DAVACL-1.6.0-3.fc18, php-sabredav-Sabre_VObject-1.3.5-2.fc18, php-sabredav-Sabre_HTTP-1.6.4-3.fc18, php-sabredav-Sabre_DAV-1.6.5-1.fc18, php-sabredav-Sabre-1.0.0-6.fc18, php-channel-sabredav-1.3-3.fc18, php-sabredav-Sabre_CalDAV-1.6.4-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 18 Fedora Update System 2012-11-28 12:38:14 EST
php-channel-sabredav-1.3-3.el6, php-sabredav-Sabre-1.0.0-6.el6, php-sabredav-Sabre_DAVACL-1.6.0-3.el6, php-sabredav-Sabre_DAV-1.6.5-1.el6, php-sabredav-Sabre_HTTP-1.6.4-3.el6, php-sabredav-Sabre_VObject-1.3.5-2.el6, php-sabredav-Sabre_CardDAV-1.6.5-2.el6, php-sabredav-Sabre_CalDAV-1.6.4-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.